:root {
  --size: 100; 
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background: #1e1e1e;
  color: #ffffff;
  font-family: sans-serif;
  padding: 20px;
}
.wrapper {
  width: 100%;
  display:flex;
  flex-direction: column;
  gap: 20px;
}

.title{
  background-color: #5FC8FF;
  padding: 10px;
  text-align: center;
  border-radius: 8px;
  color: #1e1e1e;
  box-shadow: 0 2px 10px rgba(0,0,0,0.2);
}

.pixel-grid {
  padding: 20px;
  background-color: #333;
  align-items: center;
}

.controls {
  margin: 5px;
  display: flex;
  gap: 5px;
  padding: 15px;
  align-content: center;
  justify-content: center;
  background-color: #444;
  border-radius: 8px;
}

.controls button, .controls input[type=color] {
  padding: 8px 12px;
  border: none;
  border-radius: 5px;
  background-color: #6aafe6;
  color: #fff;
  font-weight: bold;
  cursor: pointer;
  transition: background 0.3s;

}

.controls button:hover, .controls input[type="color"]:hover {
  background-color: #559ed3;
}

.container {
  display: grid;
  grid-template-columns: repeat(var(--size), 1fr);
  grid-template-rows: repeat(var(--size), 1fr);
  width: 550px;
  height: 550px;
  background: #333;
  gap: 1px;
  /* border: 2px solid #5fc8ff; */
  border-radius: 10px;
  margin: 0 auto;
  box-shadow: 0 0 10px #5fc8ff55;
}

.slider {
  width: 25%;
  height: 25px;
  opacity: 0.8;
  background: #c8b4dc;
  outline: none;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  appearance: none;
  -webkit-appearance: none;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  background: #c8b4dc;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 20px;
  height: 20px;
  background: #c8b4dc;
  cursor: pointer;
  border-radius: 50%;
}

.pixel {
  background: #ffffff;
  aspect-ratio: 1;
  transform: 0.1s;
}

#backButton {
  position: absolute;
  top: 20px;
  left: 20px;
  padding: 10px 20px;
  background-color: #ff7675;
  border: none;
  border-radius: 5px;
  color: white;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s;
  z-index: 1000;
}

#backButton:hover {
  background-color: #e17055;
}

